package com.tzld.piaoquan.recommend.server.service.recall.strategy;

import com.tzld.piaoquan.recommend.server.service.recall.RecallParam;
import org.springframework.stereotype.Service;

/**
 * @author dyp
 */
@Service
public class ReturnVideoRecallStrategy extends AbstractVideoRecallStrategy {
    public static final String PUSH_FORM = "return_video_recall";

    @Override
    String recallKey(RecallParam param) {
        return String.format("rv2:%s", param.getVideoId());
    }

    @Override
    public String pushFrom() {
        return PUSH_FORM;
    }
}
